makedeb


nodejs22-renamed-bin 22.11.0-0


Renamed nodejs 22 that doesn't conflict with other versions and unrenamed in libexec/node22 for adding to PATH

Click here to go back to the commit logs for nodejs22-renamed-bin.

Commit:


Hash: 28d5850ad5c87f015018755f7387e84c5bc7addb

Message: 22.10.0

Diff


diff --git a/.SRCINFO b/.SRCINFO
index 503e3d2..b801f63 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,7 +3,7 @@ pkgname = nodejs22-renamed-bin
 pkgbase = nodejs22-renamed-bin
 pkgdesc = Renamed nodejs 22 that doesn't conflict with other versions and unrenamed in libexec/node22 for adding to PATH
 pkgrel = 0
-pkgver = 22.9.0
+pkgver = 22.10.0
 url = https://nodejs.org/
 arch = amd64
 arch = arm64
@@ -11,6 +11,6 @@ arch = armhf
 arch = ppc64el
 arch = s390x
 license = MIT
-provides = nodejs=22.9.0
-source = https://nodejs.org/download/release/v22.9.0/node-v22.9.0-linux-x64.tar.xz
-sha256sums = 1bfae9ef21ab43c92d8274f1bd032bf61f42ea004192a18d4c64477508626142
+provides = nodejs=22.10.0
+source = https://nodejs.org/download/release/v22.10.0/node-v22.10.0-linux-x64.tar.xz
+sha256sums = 406791658a8bce3bc21fab786f45877adad391ea20badc87e1d65c7478b75062
diff --git a/PKGBUILD b/PKGBUILD
index e30c7ee..298cc8e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@ _pkgvermain="22"
 _pkgname="nodejs${_pkgvermain}"
 _pkgnameshort="node${_pkgvermain}"
 pkgname="${_pkgname}-renamed-bin"
-pkgver=22.9.0
+pkgver="22.10.0"
 pkgrel=0
 pkgdesc="Renamed nodejs ${_pkgvermain} that doesn't conflict with other versions and unrenamed in libexec/node${_pkgvermain} for adding to PATH"
 # MULTYARCH NOT TESTED
@@ -35,12 +35,12 @@ url="https://nodejs.org/"
 license=('MIT')
 source=("https://nodejs.org/download/release/v${pkgver}/node-v${pkgver}-linux-${_archname}.tar.xz")
 provides=("nodejs=$pkgver")
-#wget  -o /dev/null -O- https://nodejs.org/download/release/v22.9.0/SHASUMS256.txt | grep linux-x64.tar.xz | cut -d ' ' -f 1
-sha256sums=('1bfae9ef21ab43c92d8274f1bd032bf61f42ea004192a18d4c64477508626142')
+sha256sums=('406791658a8bce3bc21fab786f45877adad391ea20badc87e1d65c7478b75062')
 
 prepare() {
   cd "${srcdir}/${_srcname}"
   mv share/man/man1/node.1 share/man/man1/${_pkgnameshort}.1
+  gzip share/man/man1/${_pkgnameshort}.1
 }
 
 package() {
diff --git a/update b/update
new file mode 100755
index 0000000..51583e5
--- /dev/null
+++ b/update
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+  case "$(arch)" in
+  x86_64)
+       _archname="x64"
+        ;;
+  aarch64)
+       _archname="arm64"
+        ;;
+  armv7h)
+       _archname="armv7l"
+        ;;
+  ppc64le)
+      _archname="ppc64le"
+        ;;
+  s390x)
+       _archname="s390x"
+        ;;
+  *)
+     echo "arch name not recognized"
+
+     exit 1
+        ;;
+  esac
+
+echo "$_archname"
+
+hashversion="$(wget  -o /dev/null -O- https://nodejs.org/download/release/latest-v22.x/SHASUMS256.txt | grep linux-$_archname.tar.xz | sed "s!node-v!!;s!-linux-$_archname.tar.xz!!")"
+
+version="$(echo $hashversion | cut -d ' ' -f 2)"
+echo "$version"
+
+hash="$(echo $hashversion | cut -d ' ' -f 1)"
+echo "$hash"
+
+sed -i "s!pkgver=.*!pkgver=\"$version\"!;s!sha256sums=.*!sha256sums=\(\'$hash\'\)!" PKGBUILD